﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class _Default : System.Web.UI.Page 
{
    public string returnValue = "";//"[{name: '人员体系城市分布情况',data: [15,18,13,13,10,16,23,23]}]";
    public string xAxisCategories = "";//"['北京市', '上海市', '重庆市', '天津市','抚州市','长沙市','常德市','济南市']";
    public string containerHeight = "400px";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {

            DataTable dt = GetData();
            if (dt.Rows.Count > 0)
            {
                //计算出图标的高度
                if (dt.Rows.Count > 4)
                {
                    containerHeight = (dt.Rows.Count * 50).ToString() + "px";
                }
                else
                {
                    containerHeight = "200px";
                }

                string dataY = "[{name: '人员体系城市分布情况',data: [";
                string dataX = "[";
                foreach (DataRow dr in dt.Rows)
                {
                    dataX += "'" + dr["City"].ToString() + "',";
                    dataY += dr["Count"].ToString() + ",";
                }
                xAxisCategories = dataX.Substring(0, dataX.Length - 1) + "]";
                returnValue = dataY.Substring(0, dataY.Length - 1) + "]}]";
            }
        }
    }

    private DataTable GetData()
    {
        DataTable tableInfo = new DataTable();

        DataColumn dcCity = new DataColumn("City", Type.GetType("System.String"));
        DataColumn dcCount = new DataColumn("Count", Type.GetType("System.Int32"));

        tableInfo.Columns.Add(dcCity);
        tableInfo.Columns.Add(dcCount);

        DataRow dr = tableInfo.NewRow();
        dr["City"] = "北京市";
        dr["Count"] = "15";
        tableInfo.Rows.Add(dr);

        DataRow dr1 = tableInfo.NewRow();
        dr1["City"] = "上海市";
        dr1["Count"] = "19";
        tableInfo.Rows.Add(dr1);

        DataRow dr2 = tableInfo.NewRow();
        dr2["City"] = "天津市";
        dr2["Count"] = "25";
        tableInfo.Rows.Add(dr2);

        DataRow dr3= tableInfo.NewRow();
        dr3["City"] = "重庆市";
        dr3["Count"] = "10";
        tableInfo.Rows.Add(dr3);

        DataRow dr4 = tableInfo.NewRow();
        dr4["City"] = "抚州市";
        dr4["Count"] = "11";
        tableInfo.Rows.Add(dr4);

        DataRow dr5 = tableInfo.NewRow();
        dr5["City"] = "长沙市";
        dr5["Count"] = "17";
        tableInfo.Rows.Add(dr5);

        DataRow dr6 = tableInfo.NewRow();
        dr6["City"] = "常德市";
        dr6["Count"] = "20";
        tableInfo.Rows.Add(dr6);

        DataRow dr7 = tableInfo.NewRow();
        dr7["City"] = "济南市";
        dr7["Count"] = "13";
        tableInfo.Rows.Add(dr7);

        return tableInfo;
    }
}
